/*

  Microphone Sound Sensor Detection Module (Red Model) - (Digital Mode)

  Parts required:
  - Arduino Board
  - Sound Sensor Detection Module (Red Model) - (Digital Mode)

  Programming by René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 10 Feb 2020
  Version : v1.0

  INFORMATION:
  Modulet skal muligvis kalibreres, den korrekte kalibrering er fortaget hvis led ikke lyser
  dette gøre ved hjælp af potentiometeret, drej skruen til start punktet, og drej modsat indtil led
  lyser, drej dernæst en kvart omgang tilbage.

  Modulet kan købes på www.arduinotech.dk

*/

const int Sound = 7;                      // set variable Sound to Digital Port 7
int val ;                                 // define variable val

void setup ()
{
  Serial.begin(9600);                     // begin Serial Monitor communication
  pinMode (Sound, INPUT);                 // set Digital Pin to an INPUT
}

void loop ()
{
  val = digitalRead(Sound);               // read value for Digital Pin and store in val

  if (val == HIGH)                        // if val is HIGH do
  {
    Serial.println("Sound Detected...");  // print to Serial Monitor
    delay(150);
  }
}
